LibreOffice LibreOffice 6.0 SDK API Reference

Public Member Functions | List of all members
XManifestReader Interface Referencepublished

This interface reads the manifest data from a file. More...

`import"XManifestReader.idl";`

Inheritance diagram for XManifestReader:

## Public Member Functions
sequence< sequence< com::sun::star::beans::PropertyValue > > | readManifestSequence ([in] com::sun::star::io::XInputStream rStream)
| Supplies the XManifestReader with an XInputStream to read from, reads the data and returns it to the caller. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

This interface reads the manifest data from a file.

The user must supply an XInputStream when calling readManifestSequence() to receive a sequence of manifest entries. Each manifest entry is represented by a sequence of PropertyValues.

## Member Function Documentation

## ◆ readManifestSequence()

sequence< sequence < com::sun::star::beans::PropertyValue > > readManifestSequence | ( | [in] com::sun::star::io::XInputStream | rStream | ) |

Supplies the XManifestReader with an XInputStream to read from, reads the data and returns it to the caller.

The documentation for this interface was generated from the following file:

- com/sun/star/packages/manifest/XManifestReader.idl